Uploaded image for project: 'Spring Integration'
  1. Spring Integration
  2. INT-2752

Fix build.gradle for Spring 3.2 compatibility

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Complete
    • Affects Version/s: 2.2 M4
    • Fix Version/s: 2.2 RC1
    • Component/s: Build
    • Labels:
      None

      Description

      Spring Instrument 3.2 has additional transitive dependencies that causes problems for the JPA Module (for running test-cases).

      Change:

      String jvmArgsSpringIntrument = "-javaagent:${configurations.javaAgentSpringInstrument.asPath}"
      

      to

      String jvmArgsSpringIntrument = "-javaagent:${configurations.javaAgentSpringInstrument.files.iterator().next()}"
      

        Attachments

          Activity

            People

            • Assignee:
              hillert Gunnar Hillert
              Reporter:
              hillert Gunnar Hillert
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: